> For the complete documentation index, see [llms.txt](https://docs.nymcard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nymcard.com/get-started/release-announcements/changes-in-the-release-on-04-04-2023.md).

# Changes in the release on 04/04/2023

Be aware, that the following enhancements **will be added to API catalog later**, when full features will be implemented. But these changes have impact on current implementation, so please get acquainted with it:

* [Card renewal](#card-renewal)
* [Multi-currency related enhancements](#multi-currency-related-enhancements)

### Card renewal

Introduced the following parameters in the response of [Card products](https://nymcard.com/docs/api#tag/Card-Products) APIs under 'card\_settings' parameter: **"allow\_card\_renewal", "renew\_before\_days", "new\_pan\_on\_renewal", "auto\_renewal\_process"**. They are used to renew an existing card so that if a card is about to be expired, a new card can be generated and provided to the cardholder for uninterrupted card services.

Impacted APIs:

* Create card product
* Update card product
* Get card product
* Get list of card product

This enhancement has impact on both existing and new card products.

Example:

```
 "card_settings": {
  ...
  "allow_card_renewal": true, // default = false
  "renew_before_days": 60, // default = 60
  "new_pan_on_renewal": false,  // default = false
  "auto_renewal_process": true // default = false
}
```

### Multi-currency related enhancements

Multi-currency feature is not fully implemented yet, but still there are some enhancements, which impact current implementation.

1. Introduced a new parameter **"is\_multi\_currency\_product"** in [Card products](https://nymcard.com/docs/api#tag/Card-Products) APIs to indicate whether the card product is a single currency or a multi-currency card product. It is already reflected in the response of card product related APIs for single currency card products with default value of "is\_multi\_currency\_product": false.
2. Added new parameters ( **"currencies", "wallet\_details" - "currency", "priority", "status"**) to [Accounts ](https://nymcard.com/docs/api#tag/Accounts)APIs. It gives possibility to create initial wallets upon account creation, so that users can utilize multi-currency wallets.  This enhancement has impact only on new accounts.

   Impacted APIs:

   * Create account - "currencies" & "wallet\_details" are returned in the response
   * Get account details - "balance\_limits" if linked to the account, "currencies" & "wallet\_details" are returned in the response
   * Get list of accounts -  "balance\_limits" if linked to the account, "currencies" & "wallet\_details" are returned in the response
   * Change account status - "balance\_limits" if linked to the account, "currencies" & "wallet\_details" are returned in the response
3. Added new parameters ( **"balance\_limits" - "currency", "balance\_limit\_id"**) to [Accounts](https://nymcard.com/docs/api#tag/Accounts) APIs. It gives possibility to link balance limits of non-priority 1 currencies so that balance limits in each currency can be applied during transactions. This enhancement has impact on both existing and new accounts.

   Impacted APIs:

   * Get account details&#x20;
   * Get list of accounts
   * Change account status&#x20;

Example:

```
 {
 "balance_limits": [
        {
            "balance_limit_id": "BLimit003",
            "currency": "AED"
        }
    ],
    "currencies": [
        "AED"
    ],
    "wallet_details": [
        {
            "currency": "AED",
            "priority": 1,
            "status": "ACTIVE"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nymcard.com/get-started/release-announcements/changes-in-the-release-on-04-04-2023.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
